Skip to main content
GET
/
v1
/
transactions
List transactions
curl --request GET \
  --url https://api.paystack.com/v1/transactions \
  --header 'Authorization: Bearer <token>'
{
  "status": true,
  "message": "Transactions fetched successfully",
  "code": "ok",
  "data": [
    {
      "id": "txn_01KPBG1Q3Z8X1Q6VJRE5R8ZFBG",
      "source_type": "onramp",
      "source_id": "onr_01KPBH802PXQQXT8ASJGE0QX2K",
      "customer_id": "cust_seed_alice",
      "type": "onramp",
      "status": "success",
      "metadata": {},
      "created_at": "2026-04-16T16:16:03.000Z",
      "updated_at": "2026-04-16T16:16:07.000Z",
      "reference": "INV-2026-001",
      "transaction_hash": null,
      "from_wallet_id": null,
      "to_wallet_id": "wal_seed_alice_usdc",
      "source_amount": "10000.00",
      "source_currency": "NGN",
      "destination_amount": "6.046600",
      "destination_currency": "USDC",
      "confirmed_at": "2026-04-22T02:01:30.000Z"
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 50,
    "total": 137,
    "has_more": false,
    "request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
    "timestamp": "2026-05-14T15:43:55.732Z",
    "version": "1"
  }
}

Authorizations

Authorization
string
header
required

API key issued during merchant onboarding.

Query Parameters

type
string
source_type
string
customer_id
string
wallet_id
string
status
string
source_currency
string
created_after
string
created_before
string
page
string
per_page
string

Response

Transactions fetched successfully

status
enum<boolean>
required
Available options:
true
Example:

true

message
string
required

Human-readable summary

Example:

"Transactions fetched successfully"

code
enum<string>
required
Available options:
ok
Example:

"ok"

data
object[]
required
meta
object
required